Subject: Re: link failures with bpf_map_xxx_elem_proto calls from net/core/filiter.c

From: Daniel Borkmann <[email-masked]>
Date: Thu, 05 Mar 2015 20:06:34 +0100

On 03/04/2015 09:56 AM, Or Gerlitz wrote:
> On 3/4/2015 10:42 AM, Or Gerlitz wrote:
>> Hi Daniel,
>>
>> With net-next (and probably net or Linus tree too), I am getting these link failures
>>
>> net/built-in.o:(.rodata+0x2210): undefined reference to `bpf_map_lookup_elem_proto'
>> net/built-in.o:(.rodata+0x2218): undefined reference to `bpf_map_update_elem_proto'
>> net/built-in.o:(.rodata+0x2220): undefined reference to `bpf_map_delete_elem_proto'
>
> suddenly solved after make clean and make, probably a leftover from the fact that net-next was rebased tonight from 3.19 to 4.0-rc2

Okay, I see. I got a report from Fengguang, he told me that he sees a linker issue only
on avr32 and openrisc archs.

Cooking patch to resolve it ...